Bug 429489 - dund starts too early during booting
dund starts too early during booting
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bluez-utils (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-20 21:29 EST by Alina Silvestrovici Paun
Modified: 2008-02-13 00:18 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.20-6.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 00:18:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bluez-utils-use-deps.patch (1.55 KB, patch)
2008-01-21 09:47 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Alina Silvestrovici Paun 2008-01-20 21:29:58 EST
Description of problem:

When dund starts by default in runlevel 5 as S26 the bluetooth sync does not
work. I have to stop it and restart it and then it works fine. 
I moved it from S26 to S99 and now it works fine.
Comment 1 Bastien Nocera 2008-01-21 09:46:46 EST
Both dund and pand use the old-style hard-coded inits, whereas bluetooth uses
dependencies. I tried the following patch, but then it complains that:
Preparing...                ########################################### [100%]
   1:bluez-utils            ########################################### [ 25%]
service dund does not support chkconfig
service pand does not support chkconfig
   2:bluez-utils-cups       ########################################### [ 50%]
   3:bluez-utils-gstreamer  ########################################### [ 75%]
   4:bluez-utils-alsa       ########################################### [100%]
Comment 2 Bastien Nocera 2008-01-21 09:47:29 EST
Created attachment 292375 [details]
bluez-utils-use-deps.patch
Comment 3 Bill Nottingham 2008-01-21 13:13:42 EST
You need to leave the chkconfig line in; if nothing else, it gives it a priority
to start working from.

If you *only* have LSB headers, you need to use the install_initd stuff from
redhat-lsb.
Comment 4 Fedora Update System 2008-01-27 02:20:49 EST
bluez-utils-3.20-6.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bluez-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/F8/FEDORA-2008-1073
Comment 5 Fedora Update System 2008-02-13 00:18:35 EST
bluez-utils-3.20-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.